View Issue Details

IDProjectCategoryView StatusLast Update
0004145SymmetricDS ProBugpublic2019-12-03 16:00
ReporterhanesAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.0 
Target VersionFixed in Version3.11.1 
Summary0004145: SQL Explorer issue with Interbase as a node
DescriptionClick the node representing the interbase node and you get the following:


[gui] - DatabaseInfoPanel -
interbase.interclient.DriverNotCapableException: [interclient] Unsupported feature: Using a JDBC method which is not yet supported.
See API reference for exception interbase.interclient.DriverNotCapableException
    at interbase.interclient.DatabaseMetaData.getClientInfoProperties(Unknown Source)
    at org.apache.commons.dbcp.DelegatingDatabaseMetaData.getClientInfoProperties(DelegatingDatabaseMetaData.java:1171)
    at org.jumpmind.vaadin.ui.sqlexplorer.DatabaseInfoPanel.<init>(DatabaseInfoPanel.java:68)
    at org.jumpmind.vaadin.ui.sqlexplorer.SqlExplorer$8.valueChange(SqlExplorer.java:462)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:498)
    at com.vaadin.event.ListenerMethod.receiveEvent(ListenerMethod.java:499)
    at com.vaadin.event.EventRouter.fireEvent(EventRouter.java:273)
    at com.vaadin.event.EventRouter.fireEvent(EventRouter.java:237)
    at com.vaadin.server.AbstractClientConnector.fireEvent(AbstractClientConnector.java:1014)
    at com.vaadin.v7.ui.AbstractField.fireValueChange(AbstractField.java:1134)
    at com.vaadin.v7.ui.AbstractField.setValue(AbstractField.java:545)
    at com.vaadin.v7.ui.AbstractSelect.setValue(AbstractSelect.java:736)
    at com.vaadin.v7.ui.AbstractField.setValue(AbstractField.java:442)
    at com.vaadin.v7.ui.Tree.handleSelectedItems(Tree.java:614)
    at com.vaadin.v7.ui.Tree.changeVariables(Tree.java:562)
    at com.vaadin.server.communication.ServerRpcHandler.changeVariables(ServerRpcHandler.java:625)
    at com.vaadin.server.communication.ServerRpcHandler.handleInvocation(ServerRpcHandler.java:471)
    at com.vaadin.server.communication.ServerRpcHandler.handleInvocations(ServerRpcHandler.java:414)
    at com.vaadin.server.communication.ServerRpcHandler.handleRpc(ServerRpcHandler.java:274)
    at com.vaadin.server.communication.PushHandler.lambda$new$1(PushHandler.java:148)
    at com.vaadin.server.communication.PushHandler.callWithUi(PushHandler.java:248)
    at com.vaadin.server.communication.PushHandler.onMessage(PushHandler.java:534)
    at com.vaadin.server.communication.PushAtmosphereHandler.onMessage(PushAtmosphereHandler.java:87)
    at com.vaadin.server.communication.PushAtmosphereHandler.onRequest(PushAtmosphereHandler.java:77)
    at org.atmosphere.cpr.AsynchronousProcessor.action(AsynchronousProcessor.java:225)
    at org.atmosphere.cpr.AsynchronousProcessor.suspended(AsynchronousProcessor.java:114)
    at org.atmosphere.container.Servlet30CometSupport.service(Servlet30CometSupport.java:67)
    at org.atmosphere.cpr.AtmosphereFramework.doCometSupport(AtmosphereFramework.java:2297)
    at org.atmosphere.websocket.DefaultWebSocketProcessor.dispatch(DefaultWebSocketProcessor.java:594)
    at org.atmosphere.websocket.DefaultWebSocketProcessor$3.run(DefaultWebSocketProcessor.java:345)
    at org.atmosphere.util.VoidExecutorService.execute(VoidExecutorService.java:101)
    at org.atmosphere.websocket.DefaultWebSocketProcessor.dispatch(DefaultWebSocketProcessor.java:340)
    at org.atmosphere.websocket.DefaultWebSocketProcessor.invokeWebSocketProtocol(DefaultWebSocketProcessor.java:448)
    at org.atmosphere.container.JSR356Endpoint$3.onMessage(JSR356Endpoint.java:272)
    at org.atmosphere.container.JSR356Endpoint$3.onMessage(JSR356Endpoint.java:269)
    at org.eclipse.jetty.websocket.jsr356.messages.TextWholeMessage.messageComplete(TextWholeMessage.java:59)
    at org.eclipse.jetty.websocket.jsr356.endpoints.JsrEndpointEventDriver.onTextFrame(JsrEndpointEventDriver.java:218)
    at org.eclipse.jetty.websocket.common.events.AbstractEventDriver.incomingFrame(AbstractEventDriver.java:150)
    at org.eclipse.jetty.websocket.common.WebSocketSession.incomingFrame(WebSocketSession.java:319)
    at org.eclipse.jetty.websocket.common.extensions.AbstractExtension.nextIncomingFrame(AbstractExtension.java:147)
    at org.eclipse.jetty.websocket.common.extensions.compress.PerMessageDeflateExtension.nextIncomingFrame(PerMessageDeflateExtension.java:112)
    at org.eclipse.jetty.websocket.common.extensions.compress.CompressExtension.forwardIncoming(CompressExtension.java:142)
    at org.eclipse.jetty.websocket.common.extensions.compress.PerMessageDeflateExtension.incomingFrame(PerMessageDeflateExtension.java:92)
    at org.eclipse.jetty.websocket.common.extensions.ExtensionStack.incomingFrame(ExtensionStack.java:201)
    at org.eclipse.jetty.websocket.common.Parser.notifyFrame(Parser.java:226)
    at org.eclipse.jetty.websocket.common.Parser.parseSingleFrame(Parser.java:260)
    at org.eclipse.jetty.websocket.common.io.AbstractWebSocketConnection.readParse(AbstractWebSocketConnection.java:583)
    at org.eclipse.jetty.websocket.common.io.AbstractWebSocketConnection.onFillable(AbstractWebSocketConnection.java:441)
    at org.eclipse.jetty.websocket.common.io.AbstractWebSocketConnection.onFillable(AbstractWebSocketConnection.java:428)
    at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded(AbstractConnection.java:305)
    at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:103)
    at org.eclipse.jetty.io.ChannelEndPoint$2.run(ChannelEndPoint.java:117)
    at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.runTask(EatWhatYouKill.java:333)
    at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.doProduce(EatWhatYouKill.java:310)
    at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.tryProduce(EatWhatYouKill.java:168)
    at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.run(EatWhatYouKill.java:126)
    at org.eclipse.jetty.util.thread.ReservedThreadExecutor$ReservedThread.run(ReservedThreadExecutor.java:366)
    at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:781)
    at org.eclipse.jetty.util.thread.QueuedThreadPool$Runner.run(QueuedThreadPool.java:917)
    at java.lang.Thread.run(Thread.java:748)
Tagsdialect: interbase, sql explorer

Relationships

has duplicate 0003175 closedpmarzullo SQL Explorer with Interbase XE gets unsupported JDBC method error 

Activities

pmarzullo

2019-11-29 11:31

developer   ~0001657

Catch java.sql.SQLException and log error when calling metaData.getClientInfoProperties().
This will allow rest of tabs to be built, while handling empty client info tab.

pmarzullo

2019-12-02 10:36

developer   ~0001659

Exception is still shown in the log, but the display of the rest of the sql explorer tabs continues, and shows status of tab that is causing the problem.

pmarzullo

2019-12-03 11:09

developer   ~0001662

Removed stack trace from log, still continues to log error message.

pmarzullo

2019-12-03 15:06

developer   ~0001664

Change log of exception to debug so that it does not show up on SystemLogMonitor.

Related Changesets

SymmetricDS: 3.11 d8172188

2019-12-02 10:35:41

Philip Marzullo

Details Diff
0004145: SQL Explorer issue with Interbase as a node
0004145
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/common/CommonUiUtils.java Diff File
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/DatabaseInfoPanel.java Diff File

SymmetricDS: 3.11 5e151324

2019-12-03 11:09:28

Philip Marzullo

Details Diff
0004145: SQL Explorer issue with Interbase as a node
0004145
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/DatabaseInfoPanel.java Diff File

SymmetricDS: 3.11 669a23d3

2019-12-03 15:05:20

Philip Marzullo

Details Diff
0004145: SQL Explorer issue with Interbase as a node
0004145
mod - symmetric-sqlexplorer/src/main/java/org/jumpmind/vaadin/ui/sqlexplorer/DatabaseInfoPanel.java Diff File

Issue History

Date Modified Username Field Change
2019-11-13 14:17 hanes New Issue
2019-11-13 14:17 hanes Status new => confirmed
2019-11-13 14:38 hanes Tag Attached: dialect: interbase
2019-11-27 13:03 hanes Tag Attached: sql explorer
2019-11-29 11:30 pmarzullo Assigned To => pmarzullo
2019-11-29 11:30 pmarzullo Status confirmed => assigned
2019-11-29 11:31 pmarzullo Note Added: 0001657
2019-11-29 11:58 pmarzullo Relationship added has duplicate 0003175
2019-12-02 10:36 pmarzullo Status assigned => resolved
2019-12-02 10:36 pmarzullo Resolution open => fixed
2019-12-02 10:36 pmarzullo Fixed in Version => 3.11.1
2019-12-02 10:36 pmarzullo Note Added: 0001659
2019-12-02 11:00 Changeset attached => SymmetricDS 3.11 d8172188
2019-12-02 15:23 admin Status resolved => closed
2019-12-03 11:09 pmarzullo Note Added: 0001662
2019-12-03 12:00 Changeset attached => SymmetricDS 3.11 5e151324
2019-12-03 15:06 pmarzullo Note Added: 0001664
2019-12-03 16:00 Changeset attached => SymmetricDS 3.11 669a23d3